#!/usr/bin/env python

#-----------------------------------------------------------------------
# display.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import os
import sys
import psycopg2
import dotenv

dotenv.load_dotenv()
DATABASE_URL = os.environ['DATABASE_URL']

#-----------------------------------------------------------------------

def main():

    if len(sys.argv) != 1:
        print('Usage: python ' + sys.argv[0], file=sys.stderr)
        sys.exit(1)

    try:
        with psycopg2.connect(DATABASE_URL) as connection:

            with connection.cursor() as cursor:

                print('-------------------------------------------')
                print('books')
                print('-------------------------------------------')
                cursor.execute("SELECT * FROM books")
                table = cursor.fetchall()
                for row in table:
                    print(row)

                print('-------------------------------------------')
                print('authors')
                print('-------------------------------------------')
                cursor.execute("SELECT * FROM authors")
                table = cursor.fetchall()
                for row in table:
                    print(row)

                print('-------------------------------------------')
                print('customers')
                print('-------------------------------------------')
                cursor.execute("SELECT * FROM customers")
                table = cursor.fetchall()
                for row in table:
                    print(row)

                print('-------------------------------------------')
                print('zipcodes')
                print('-------------------------------------------')
                cursor.execute("SELECT * FROM zipcodes")
                table = cursor.fetchall()
                for row in table:
                    print(row)

                print('-------------------------------------------')
                print('orders')
                print('-------------------------------------------')
                cursor.execute("SELECT * FROM orders")
                table = cursor.fetchall()
                for row in table:
                    print(row)

    except Exception as ex:
        print(ex, file=sys.stderr)
        sys.exit(1)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
